<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule>
        <condition name = "ZOOM_RATIO" min = "0" max = "1.0"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "1.0" max = ""/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "wide" prev = "true" marginPixel = "150"/>
            <camera name = "main" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "10.0"/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = ""/>
        <condition name = "OBJECT_DISTANCE" min = "140.0" max = ""/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "10.0" max = ""/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.1" max = "1.5"/>
        <condition name = "TARGET_ZOOM_RATIO" min = "2.0" max = ""/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "tele" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.5"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "0" max = "1.0"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "wide" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.5" max = "2.0"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "2.0" max = ""/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "tele" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "2.0" max = "5.15"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "2.0" max = ""/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "150"/>
            <camera name = "tele" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = ""/>
        <condition name = "ESCAPE_LEVEL" min = "48" max = "99999"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "140.0" max = ""/>
        <!--LUMINANCE is int32_t type, if max not configured, the default value is 0-->
        <condition name = "LUMINANCE" min = "40" max = "99999"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" numOfDelayFrames = "20" marginPixel = "150"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0" max = "0.001"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" numOfDelayFrames = "20" marginPixel = "150"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.001" max = "100.0"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "150"/>
            <camera name = "tele" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "LUMINANCE" min = "-100" max = "30"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "150"/>
            <camera name = "tele" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "CURRENT_PREV" value = "main"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "150"/>
            <camera name = "tele"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <condition name = "CURRENT_PREV" value = "tele"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "150"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "5.15" max = "10.0"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "150"/>
            <camera name = "tele"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "10.0" max = ""/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "150"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
